Subject: Re: bug#13521: `sort-lines' on the empty region

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Sep 2020 14:29:03 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 5 Sep 2020 11:13:17 +0000
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So if the user has transient-mark-mode disabled (which is what I do),
> > the command will always sort the entire buffer?  Or did I
> > misunderstand something?
> 
> I didn't consider that case, but you are correct.  The behavior would be
> like that documented in `flush-lines':
> 
>     Interactively, in Transient Mark mode when the mark is active, operate
>     on the contents of the region.  Otherwise, operate from point to the
>     end of (the accessible portion of) the buffer.
> 
> I'm not sure the `flush-lines' behavior makes sense, though.  It looks
> like you can't run it on a region without transient-mark-mode.  So maybe
> we should fix that as well.

I think we should indeed fix flush-lines as well, yes.

> (Note that `flush-lines' operates from point to point-max, but
> `sort-lines' is proposed here to operate on the entire buffer instead as
> per previous discussion in this bug.)

I guess due to historical reasons?